Subject: [Trans] pasting URL's

From: "Salz, Rich" <[email-masked]>
Date: Fri, 26 Mar 2021 19:38:19 +0000

In https://datatracker.ietf.org/doc/draft-ietf-trans-rfc6962-bis/ballot/ Adam Roach (former AD) makes the following COMMENT.  Note his paragraph that says “Unless the intention…”  I don’t know why this is a COMMENT and wasn’t a DISCUSS.

What are we going to do?  Ignore the comment:

>  Clients are configured with a base URL for a log and construct URLs
>  for requests by appending suffixes to this base URL.  This structure
>  places some degree of restriction on how log operators can deploy
>  these services, as noted in [RFC7320].  However, operational
>  experience with version 1 of this protocol has not indicated that
>  these restrictions are a problem in practice.

The synthesis of URLs by a protocol in this fashion is prohibited by BCP 190:

   Scheme definitions define the presence, format, and semantics of a
   path component in URIs; all other specifications MUST NOT constrain,
   or define the structure or the semantics for any path component.

Unless the intention of this document is to update BCP 190 to change this
normative requirement, we can't publish it in its current form. Note that doing
so would require a change of venue, as updates to BCP 190 would not be covered
by the current TRANS charter.

Please see BCP 190 section 3 for alternate approaches. All three approaches
could be made to work for CT, and I would be happy to explain how to do so if
clarification is desired.

---

From: Rob Stradling <[email-masked]>
Date: Fri, 26 Mar 2021 19:53:21 +0000

Hi Rich.

BCP 190 was RFC7320 when Adam wrote that.  We discussed this issue on this list, and then we took the matter to the ART list (see https://mailarchive.ietf.org/arch/msg/art/rAP7xrOek1lpO96UU-xuG6bmKRc/ and follow the thread).

The eventual outcome was that BCP 190 became RFC8820, and the problem went away.

________________________________
From: Trans <[email-masked]> on behalf of Salz, Rich <rsalz=[email-masked]>
Sent: 26 March 2021 19:38
To: [email-masked] <[email-masked]>
Subject: [Trans] pasting URL's

CAUTION: This email originated from outside of the organization. Do not click links or open attachments unless you recognize the sender and know the content is safe.

In https://datatracker.ietf.org/doc/draft-ietf-trans-rfc6962-bis/ballot/<https://nam04.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-trans-rfc6962-bis%2Fballot%2F&data=04%7C01%7C%7C27de3619765f4e76b4fe08d8f08ebfea%7C0e9c48946caa465d96604b6968b49fb7%7C0%7C0%7C637523843817106589%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&sdata=YdNQyu0yStvamJFtoNWlw2uxtf3xEmgcFFYeSbE6cks%3D&reserved=0> Adam Roach (former AD) makes the following COMMENT.  Note his paragraph that says “Unless the intention…”  I don’t know why this is a COMMENT and wasn’t a DISCUSS.

---

From: Andrew Ayer <[email-masked]>
Date: Fri, 26 Mar 2021 15:55:22 -0400

On Fri, 26 Mar 2021 19:38:19 +0000
"Salz, Rich" <rsalz=[email-masked]> wrote:

> In
> https://datatracker.ietf.org/doc/draft-ietf-trans-rfc6962-bis/ballot/
> Adam Roach (former AD) makes the following COMMENT.  Note his
> paragraph that says “Unless the intention…”  I don’t know why this is
> a COMMENT and wasn’t a DISCUSS.
> 

The comment is obsolete and kept only for historical purposes as noted
in the first paragraph:

> I'm therefore clearing my DISCUSS in advance of an anticipated update to BCP 190 to reflect this carve
out. The initial DISCUSS is retained below for historical purposes.

Regards,
Andrew

---

From: "Salz, Rich" <[email-masked]>
Date: Fri, 26 Mar 2021 19:58:51 +0000

Thank you Rob and Andrew.  Somehow I didn't understand the initial comment in Adam's feedback.